% SR  Right plug, source mapping.

function[sr] = sr

% Source fibers 16, 24, 50, 55, all seem to be broken.  Assign holes to
% these fibers more or less at random since there's no good way to find out
% where they actually go.

% These fibers are broken, they could go anywhere and I wouldn't be able to
% tell the difference.

holes = [ 21 22 27 23 ];

% Actual mapping - now sorted

map = [  1  2  3  4  5  6  7 ...
	 8  9 10 11 12 13 14 ...
	15 16 17 18 19 20  0 ...
	 0  0 24 25 26  0 28 ...
	29 30 31 32 33 34 35 ...
	36 37 38 39 40 41 42 ...
	43 44 45 46 47 48 49 ...
	50 51 52 53 54 55 56 ...
	57 58 59 60 61 62 63 ];

% % Actual mapping (natural order)
% 
% map = [ 47  8 41 26  0 19 54 ...
% 	33 31  6 34 50 15 24 ...
% 	 2 48 20  4 36 39 49 ...
% 	 7 60 29 16 28 46 32 ...
% 	57 12 17 45  9  0 51 ...
% 	 3  5 38 14 61 62 11 ...
% 	10 44 52 25 58 53 30 ...
% 	 0 35 18 42 37 55  1 ...
% 	56 40 59 43 13 63  0 ];
% 
% % Inverse mapping, not used
% %
% %map = [ 56 15 36 18 37 10 22 ...
% %	 2 33 43 42 30 61 39 ...
% %	13 25 31 52  6 17  0 ...
% %	 0  0 14 46  4  0 26 ...
% %	24 49  9 28  8 11 51 ...
% %	19 54 38 20 58  3 53 ...
% %	60 44 32 27  1 16 21 ...
% %	12 35 45 48  7 55 57 ...
% %	29 47 59 23 40 41 62 ];

% Back-fill the holes in random order

ml = find(map == 0);

if (length(ml) ~= length(holes))
   warning(sprintf('hole/map mismatch [%d vs %d]', ...
		    length(ml), length(holes)));
   keyboard
else
   % Backfill random points
   map(ml) = holes;
end

% Copy back

sr = map;

return;
